# $Revision: 1.22 $, $Date: 2004/08/08 20:44:35 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	CVS
Summary:	Apache::CVS - method handler provide a web interface to CVS repositories
Summary(pl):	Apache::CVS - metoda udostpniajca interfejs WWW do repozytoriw CVS
Name:		perl-Apache-CVS
Version:	0.10
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9f5b0a4d240a53c309c5d8b099f00777
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-26
%if %{with tests} 
# do not resolve: it is provided by both: apache-mod_perl and apache1-mod_perl
BuildRequires:	perl(Apache::URI)
BuildRequires:	perl-Rcs >= 1.03
%endif
Requires:	perl-Graph
Requires(post,preun):	apache
Requires(post,preun):	grep
Requires(preun):	fileutils
Requires:	apache1-mod_perl >= 1.27
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(Apache::URI)'

%description
Apache::CVS is a method handler that provide a web interface to CVS
repositories. Please see "CONFIGURATION" to see what configuration
options are available. To get started you'll at least need to set
CVSRoots to your local CVS Root directory.

%description -l pl
Apache::CVS to metoda obsugujca udostpniajca interfejs WWW do
repozytoriw CVS. Dostpne opcje konfiguracji mona znale w
dokumentacji pod hasem "CONFIGURATION". Na pocztku trzeba ustawi co
najmniej CVSRoots na lokalny katalog CVS Root.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd
sed -e 's/^\([^#]\)/#\1/' httpd.conf > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/perl-Apache-CVS.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/httpd/httpd.conf ] && ! grep -q "^Include.*perl-Apache-CVS.conf" /etc/httpd/httpd.conf; then
        echo "Include /etc/httpd/perl-Apache-CVS.conf" >> /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
        /etc/rc.d/init.d/httpd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/httpd start\" to start apache http daemon."
fi

%preun
if [ "$1" = "0" ]; then
	umask 027
        grep -v "^Include.*perl-Apache-CVS.conf" /etc/httpd/httpd.conf > \
                /etc/httpd/httpd.conf.tmp
        mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
        if [ -f /var/lock/subsys/httpd ]; then
                /etc/rc.d/init.d/httpd restart 1>&2
        fi
fi

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd/perl-Apache-CVS.conf
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-CVS.spec,v $
Revision 1.22  2004/08/08 20:44:35  adamg
- release 4

Revision 1.21  2004/05/09 08:12:20  ankry
- removed unnecessary R:

Revision 1.20  2004/05/09 07:46:51  ankry
- fixed R:/BR:, rel. 3

Revision 1.19  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.17  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.16  2004/04/11 16:10:33  agaran
 - updated to 0.10, release 1
 - INSTALLDIRS=vendor

Revision 1.15  2004/03/09 20:03:39  adamg
- new style bconds

Revision 1.14  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.13  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.10  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:25:42  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/02/09 21:28:55  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.6  2003/02/05 16:16:47  ankry
- autoupdated to 0.08

Revision 1.5  2002/11/21 16:44:41  mis
- autoupdated to 0.07

Revision 1.4  2002/10/02 12:20:05  qboosh
- pl description, release 4

Revision 1.3  2002/09/29 17:04:26  radek
- enabled configuration in httpd.conf, release 3

Revision 1.2  2002/09/29 10:55:48  radek
- added forgotten docs

Revision 1.1  2002/09/29 10:54:22  radek
- new, STBR
